// JCommand.java

package com.hp.javaci;

/** Information about an invocation of something in Java.
  * At present, this class doesn't actually do anything, it
  * is merely a container for parseJavaArgs() to use to 
  * describe what it finds on a command line
  */
public class JCommand { 

  private String   command;
  private String   className;
  private String   classpath;
  private String[] vmArgs;
  private String[] classArgs;
  private boolean  needsNewVM;

  public void setCommand(String c) { command = c; }
  public String getCommand() { return command; }

  public void setClassName(String c) { className = c; }
  public String getClassName() { return className; }

  public void setClasspath(String c) { classpath = c; }
  public String getClasspath() { return classpath; }

  /** Create VM arguments array.  Since input array
    * may be larger than needed, we pass in the actual
    * length needed rather than taking args.length
    */
  public void setVMArgs(String[] args, int numargs) {
     vmArgs = new String[numargs];
     for (int i=0; i<numargs; i++)
       vmArgs[i] = args[i];
  }
  public String[] getVMArgs() { return vmArgs; }

  public void setClassArgs(String[] args, int numargs) {
     classArgs = new String[numargs];
     for (int i=0; i<numargs; i++)
       classArgs[i] = args[i];
  }
  public String[] getClassArgs() { return classArgs; }

  public void setNeedsNewVM() { needsNewVM = true; }
  public boolean needsNewVM() { return needsNewVM; }

}
